Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.rt.fmt
Class ParseNumberTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.ParseNumberSupport
                  org.apache.taglibs.standard.tag.rt.fmt.ParseNumberTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class ParseNumberTag

extends ParseNumberSupport

A handler for <parseNumber> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.ParseNumberSupport
`integerOnlySpecified, isIntegerOnly, parseLocale, pattern, type, value, valueSpecified`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ParseNumberTag()`

Method Summary
`void` | `setIntegerOnly(boolean isIntegerOnly)`
`void` | `setParseLocale(Object loc)`
`void` | `setPattern(String pattern)`
`void` | `setType(String type)`
`void` | `setValue(String value)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.ParseNumberSupport
`doEndTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ParseNumberTag

    public ParseNumberTag()

Method Detail

### setValue

    public void setValue(String value)
                  throws JspTagException

  Throws:
    `JspTagException`

### setType

    public void setType(String type)
                 throws JspTagException

  Throws:
    `JspTagException`

### setPattern

    public void setPattern(String pattern)
                    throws JspTagException

  Throws:
    `JspTagException`

### setParseLocale

    public void setParseLocale(Object loc)
                        throws JspTagException

  Throws:
    `JspTagException`

### setIntegerOnly

    public void setIntegerOnly(boolean isIntegerOnly)
                        throws JspTagException

  Throws:
    `JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.